Loading...
Searching...
No Matches
pappso::XtandemSpectrumProcess Class Reference

`#include <xtandemspectrumprocess.h>`

## Public Member Functions

| XtandemSpectrumProcess ()
| XtandemSpectrumProcess (const XtandemSpectrumProcess &copy)
| ~XtandemSpectrumProcess ()
MassSpectrum | process (const MassSpectrum &spectrum, pappso_double parent_ion_mass, unsigned int parent_charge) const
| process raw spectrum to prepare hyperscore computation
void | setMinimumMz (pappso_double minimum_mz)
void | setNmostIntense (unsigned int nmost_intense)
void | setDynamicRange (pappso::pappso_double dynamic_range)
void | setRemoveIsotope (bool remove_isotope)
void | setExcludeParent (bool exclude_parent)
void | setExcludeParentNeutralLoss (bool neutral_loss)
void | setNeutralLossMass (pappso::pappso_double neutral_loss_mass)
void | setNeutralLossWindowDalton (pappso::pappso_double neutral_loss_precision)
void | setRefineSpectrumModel (bool refine)
void | setIonScore (Enums::PeptideIon ion_type, bool compute_score)
pappso_double | getMinimumMz () const
unsigned int | getNmostIntense () const
pappso::pappso_double | getDynamicRange () const
bool | getRemoveIsotope () const
bool | getExcludeParent () const
bool | getExcludeParentNeutralLoss () const
pappso::pappso_double | getNeutralLossMass () const
pappso::pappso_double | getNeutralLossWindowDalton () const
bool | getRefineSpectrumModel () const
bool | getIonScore (Enums::PeptideIon ion_type) const

## Private Attributes

FilterResampleKeepGreater | m_filter_keep_greater
FilterGreatestY | m_n_most_intense
FilterRescaleY | m_filter_rescale
FilterTandemDeisotope | m_filter_remove_c13 = FilterTandemDeisotope(1.5, 200)
FilterFloorY | m_filter_floor
FilterHighPass | m_filter_highpass
bool | m_isRemoveIsotope = true
bool | m_isExcludeParent = false
pappso::pappso_double | m_isExcludeParent_lower_dalton = 2
pappso::pappso_double | m_isExcludeParent_upper_dalton = 2
bool | m_isExcludeParent_neutral_loss = false
pappso::pappso_double | m_neutralLossMass = MASSH2O
pappso::pappso_double | m_neutralLossWindowDalton = 0.5
bool | m_isRefineSpectrumModel = true
bool | _y_ions = true
bool | _ystar_ions = false
bool | _b_ions = true
bool | _bstar_ions = false
bool | _c_ions = false
bool | _z_ions = false
bool | _a_ions = false
bool | _x_ions = false
bool | _astar_ions = false
bool | _ao_ions = false
bool | _bo_ions = false
bool | _yo_ions = false

## Detailed Description

Definition at line 41 of file xtandemspectrumprocess.h.

## Constructor & Destructor Documentation

## XtandemSpectrumProcess() [1/2]

pappso::XtandemSpectrumProcess::XtandemSpectrumProcess | ( |  | ) |

Definition at line 37 of file xtandemspectrumprocess.cpp.

: m_filter_keep_greater(150), m_n_most_intense(100), m_filter_rescale(100), m_filter_highpass(0.9)
{
}
pappso::XtandemSpectrumProcess::m_filter_keep_greater
FilterResampleKeepGreater m_filter_keep_greater
Definition xtandemspectrumprocess.h:80
pappso::XtandemSpectrumProcess::m_filter_rescale
FilterRescaleY m_filter_rescale
Definition xtandemspectrumprocess.h:82
pappso::XtandemSpectrumProcess::m_n_most_intense
FilterGreatestY m_n_most_intense
Definition xtandemspectrumprocess.h:81
pappso::XtandemSpectrumProcess::m_filter_highpass
FilterHighPass m_filter_highpass
Definition xtandemspectrumprocess.h:85

References m_filter_highpass, m_filter_keep_greater, m_filter_rescale, and m_n_most_intense.

Referenced by XtandemSpectrumProcess().

## XtandemSpectrumProcess() [2/2]

pappso::XtandemSpectrumProcess::XtandemSpectrumProcess | ( | const XtandemSpectrumProcess & | copy | ) |

Definition at line 42 of file xtandemspectrumprocess.cpp.

: m_filter_keep_greater(copy.m_filter_keep_greater),
m_n_most_intense(copy.m_n_most_intense),
m_filter_rescale(copy.m_filter_rescale),
m_filter_highpass(copy.m_filter_highpass)
{
m_isRemoveIsotope = copy.m_isRemoveIsotope;
m_isExcludeParent_neutral_loss = copy.m_isExcludeParent_neutral_loss;
m_neutralLossMass = copy.m_neutralLossMass;
m_neutralLossWindowDalton = copy.m_neutralLossWindowDalton;
m_isExcludeParent = copy.m_isExcludeParent;
m_isExcludeParent_lower_dalton = copy.m_isExcludeParent_lower_dalton;
m_isExcludeParent_upper_dalton = copy.m_isExcludeParent_upper_dalton;
m_isRefineSpectrumModel = copy.m_isRefineSpectrumModel;
_y_ions = copy._y_ions; // Enums::PeptideIon::y
_b_ions = copy._b_ions; // Enums::PeptideIon::b
_ystar_ions = copy._ystar_ions; // Enums::PeptideIon::ystar
_bstar_ions = copy._bstar_ions; // Enums::PeptideIon::bstar
_c_ions = copy._c_ions; // Enums::PeptideIon::c
_z_ions = copy._z_ions; // Enums::PeptideIon::z
_a_ions = copy._a_ions; // Enums::PeptideIon::a
_x_ions = copy._x_ions; // CO2
_astar_ions = copy._astar_ions; // Enums::PeptideIon::a
_ao_ions = copy._ao_ions;
_bo_ions = copy._bo_ions;
_yo_ions = copy._yo_ions;
}
pappso::XtandemSpectrumProcess::_astar_ions
bool _astar_ions
Definition xtandemspectrumprocess.h:102
pappso::XtandemSpectrumProcess::m_isExcludeParent
bool m_isExcludeParent
Definition xtandemspectrumprocess.h:87
pappso::XtandemSpectrumProcess::m_isExcludeParent_upper_dalton
pappso::pappso_double m_isExcludeParent_upper_dalton
Definition xtandemspectrumprocess.h:89
pappso::XtandemSpectrumProcess::_c_ions
bool _c_ions
Definition xtandemspectrumprocess.h:98
pappso::XtandemSpectrumProcess::m_isRefineSpectrumModel
bool m_isRefineSpectrumModel
Definition xtandemspectrumprocess.h:93
pappso::XtandemSpectrumProcess::_b_ions
bool _b_ions
Definition xtandemspectrumprocess.h:96
pappso::XtandemSpectrumProcess::_bstar_ions
bool _bstar_ions
Definition xtandemspectrumprocess.h:97
pappso::XtandemSpectrumProcess::m_isExcludeParent_lower_dalton
pappso::pappso_double m_isExcludeParent_lower_dalton
Definition xtandemspectrumprocess.h:88
pappso::XtandemSpectrumProcess::_ao_ions
bool _ao_ions
Definition xtandemspectrumprocess.h:103
pappso::XtandemSpectrumProcess::m_neutralLossMass
pappso::pappso_double m_neutralLossMass
Definition xtandemspectrumprocess.h:91
pappso::XtandemSpectrumProcess::_ystar_ions
bool _ystar_ions
Definition xtandemspectrumprocess.h:95
pappso::XtandemSpectrumProcess::_y_ions
bool _y_ions
Definition xtandemspectrumprocess.h:94
pappso::XtandemSpectrumProcess::_bo_ions
bool _bo_ions
Definition xtandemspectrumprocess.h:104
pappso::XtandemSpectrumProcess::_a_ions
bool _a_ions
Definition xtandemspectrumprocess.h:100
pappso::XtandemSpectrumProcess::_x_ions
bool _x_ions
Definition xtandemspectrumprocess.h:101
pappso::XtandemSpectrumProcess::m_isRemoveIsotope
bool m_isRemoveIsotope
Definition xtandemspectrumprocess.h:86
pappso::XtandemSpectrumProcess::m_neutralLossWindowDalton
pappso::pappso_double m_neutralLossWindowDalton
Definition xtandemspectrumprocess.h:92
pappso::XtandemSpectrumProcess::_yo_ions
bool _yo_ions
Definition xtandemspectrumprocess.h:105
pappso::XtandemSpectrumProcess::_z_ions
bool _z_ions
Definition xtandemspectrumprocess.h:99
pappso::XtandemSpectrumProcess::m_isExcludeParent_neutral_loss
bool m_isExcludeParent_neutral_loss
Definition xtandemspectrumprocess.h:90

References XtandemSpectrumProcess(), _a_ions, _ao_ions, _astar_ions, _b_ions, _bo_ions, _bstar_ions, _c_ions, _x_ions, _y_ions, _yo_ions, _ystar_ions, _z_ions, m_filter_highpass, m_filter_keep_greater, m_filter_rescale, m_isExcludeParent, m_isExcludeParent_lower_dalton, m_isExcludeParent_neutral_loss, m_isExcludeParent_upper_dalton, m_isRefineSpectrumModel, m_isRemoveIsotope, m_n_most_intense, m_neutralLossMass, and m_neutralLossWindowDalton.

## ~XtandemSpectrumProcess()

pappso::XtandemSpectrumProcess::~XtandemSpectrumProcess | ( |  | ) |

Definition at line 71 of file xtandemspectrumprocess.cpp.

{
}

## Member Function Documentation

## getDynamicRange()

pappso::pappso_double pappso::XtandemSpectrumProcess::getDynamicRange | ( |  | ) | const

Definition at line 193 of file xtandemspectrumprocess.cpp.

{
return m_filter_rescale.getDynamicRange();
}

References m_filter_rescale.

## getExcludeParent()

bool pappso::XtandemSpectrumProcess::getExcludeParent | ( |  | ) | const

Definition at line 203 of file xtandemspectrumprocess.cpp.

{
return m_isExcludeParent;
}

References m_isExcludeParent.

## getExcludeParentNeutralLoss()

bool pappso::XtandemSpectrumProcess::getExcludeParentNeutralLoss | ( |  | ) | const

Definition at line 208 of file xtandemspectrumprocess.cpp.

{
return m_isExcludeParent_neutral_loss;
}

References m_isExcludeParent_neutral_loss.

## getIonScore()

bool pappso::XtandemSpectrumProcess::getIonScore | ( | Enums::PeptideIon | ion_type | ) | const

Definition at line 231 of file xtandemspectrumprocess.cpp.

{
switch(ion_type)
{
case Enums::PeptideIon::y:
return _y_ions;
case Enums::PeptideIon::b:
return _b_ions;
case Enums::PeptideIon::ystar:
return _ystar_ions;
case Enums::PeptideIon::bstar:
return _bstar_ions;
case Enums::PeptideIon::yo:
return _yo_ions;
case Enums::PeptideIon::bo:
return _bo_ions;
case Enums::PeptideIon::z:
return _z_ions;
case Enums::PeptideIon::a:
return _a_ions;
case Enums::PeptideIon::astar:
return _astar_ions;
case Enums::PeptideIon::ao:
return _ao_ions;
case Enums::PeptideIon::c:
return _c_ions;
case Enums::PeptideIon::x:
return _x_ions;
default:
break;
}
return false;
}
pappso::Enums::PeptideIon::a
@ a
Nter aldimine ions.
Definition types.h:290
pappso::Enums::PeptideIon::y
@ y
Cter amino ions.
Definition types.h:295
pappso::Enums::PeptideIon::c
@ c
Nter amino ions.
Definition types.h:294
pappso::Enums::PeptideIon::astar
@ astar
Nter aldimine ions + NH3 loss.
Definition types.h:291
pappso::Enums::PeptideIon::ystar
@ ystar
Cter amino ions + NH3 loss.
Definition types.h:296
pappso::Enums::PeptideIon::yo
@ yo
Cter amino ions + H2O loss.
Definition types.h:297
pappso::Enums::PeptideIon::bstar
@ bstar
Nter acylium ions + NH3 loss.
Definition types.h:288
pappso::Enums::PeptideIon::b
@ b
Nter acylium ions.
Definition types.h:287
pappso::Enums::PeptideIon::x
@ x
Cter acylium ions.
Definition types.h:300
pappso::Enums::PeptideIon::bo
@ bo
Nter acylium ions + H2O loss.
Definition types.h:289
pappso::Enums::PeptideIon::ao
@ ao
Nter aldimine ions + H2O loss.
Definition types.h:292
pappso::Enums::PeptideIon::z
@ z
Cter carbocations.
Definition types.h:298

References _a_ions, _ao_ions, _astar_ions, _b_ions, _bo_ions, _bstar_ions, _c_ions, _x_ions, _y_ions, _yo_ions, _ystar_ions, _z_ions, pappso::Enums::a, pappso::Enums::ao, pappso::Enums::astar, pappso::Enums::b, pappso::Enums::bo, pappso::Enums::bstar, pappso::Enums::c, pappso::Enums::x, pappso::Enums::y, pappso::Enums::yo, pappso::Enums::ystar, and pappso::Enums::z.

## getMinimumMz()

pappso_double pappso::XtandemSpectrumProcess::getMinimumMz | ( |  | ) | const

Definition at line 183 of file xtandemspectrumprocess.cpp.

{
return m_filter_keep_greater.getThresholdX();
}

References m_filter_keep_greater.

## getNeutralLossMass()

pappso::pappso_double pappso::XtandemSpectrumProcess::getNeutralLossMass | ( |  | ) | const

Definition at line 213 of file xtandemspectrumprocess.cpp.

{
return m_neutralLossMass;
}

References m_neutralLossMass.

## getNeutralLossWindowDalton()

pappso_double pappso::XtandemSpectrumProcess::getNeutralLossWindowDalton | ( |  | ) | const

Definition at line 218 of file xtandemspectrumprocess.cpp.

{
return m_neutralLossWindowDalton;
}

References m_neutralLossWindowDalton.

## getNmostIntense()

unsigned int pappso::XtandemSpectrumProcess::getNmostIntense | ( |  | ) | const

Definition at line 188 of file xtandemspectrumprocess.cpp.

{
return m_n_most_intense.getNumberOfPoints();
}

References m_n_most_intense.

## getRefineSpectrumModel()

bool pappso::XtandemSpectrumProcess::getRefineSpectrumModel | ( |  | ) | const

Definition at line 224 of file xtandemspectrumprocess.cpp.

{
return m_isRefineSpectrumModel;
}

References m_isRefineSpectrumModel.

## getRemoveIsotope()

bool pappso::XtandemSpectrumProcess::getRemoveIsotope | ( |  | ) | const

Definition at line 198 of file xtandemspectrumprocess.cpp.

{
return m_isRemoveIsotope;
}

References m_isRemoveIsotope.

## process()

MassSpectrum pappso::XtandemSpectrumProcess::process | ( | const MassSpectrum & | spectrum,
|  | pappso_double | parent_ion_mass,
|  | unsigned int | parent_charge ) const

process raw spectrum to prepare hyperscore computation

Definition at line 275 of file xtandemspectrumprocess.cpp.

{
qDebug() << " parent_charge==" << parent_charge;
// 1) clean isotopes
MassSpectrum spectrum_process(spectrum);
if(m_isRemoveIsotope)
{
spectrum_process.massSpectrumFilter(FilterTandemDeisotope());
}
qDebug();
// 2) remove parent ion mass
if(m_isExcludeParent)
{
spectrum_process.massSpectrumFilter(MassSpectrumFilterResampleRemoveMzRange(MzRange(
parent_ion_mz,
PrecisionFactory::getDaltonInstance(m_isExcludeParent_lower_dalton / parent_charge),
PrecisionFactory::getDaltonInstance(m_isExcludeParent_upper_dalton / parent_charge))));
}
qDebug();
// 3) remove low masses
// 4) normalization
m_filter_keep_greater.filter(spectrum_process);
qDebug() << spectrum_process.size();
m_filter_rescale.filter(spectrum_process);
qDebug() << spectrum_process.size();
// m_filter_floor.filter(spectrum_process);
m_filter_highpass.filter(spectrum_process);
qDebug() << spectrum_process.size();
// 5) remove neutral loss
if(m_isExcludeParent_neutral_loss)
{
pappso_double parent_ion_mhplus =
((parent_ion_mz - (MHPLUS * parent_charge)) * parent_charge) + MHPLUS;
MassSpectrumFilterResampleRemoveMzRange filter_parent(
MzRange(parent_ion_mhplus - m_neutralLossMass,
PrecisionFactory::getDaltonInstance(m_neutralLossWindowDalton)));
filter_parent.filter(spectrum_process);
}
// 6) clean isotopes
// 7) keep n most intense peaks
qDebug() << spectrum_process.size() << " parent_charge==" << parent_charge;
// return spectrum_process.massSpectrumFilter(m_filter_remove_c13)
// .filter(m_nMostIntense);
m_filter_remove_c13.filter(spectrum_process);
m_n_most_intense.filter(spectrum_process);
qDebug() << spectrum_process.size();
return spectrum_process;
}
pappso::PrecisionFactory::getDaltonInstance
static PrecisionPtr getDaltonInstance(pappso_double value)
get a Dalton precision pointer
Definition precision.cpp:136
pappso::XtandemSpectrumProcess::m_filter_remove_c13
FilterTandemDeisotope m_filter_remove_c13
Definition xtandemspectrumprocess.h:83
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)
pappso::pappso_double
double pappso_double
A type definition for doubles.
Definition types.h:60

References pappso::MassSpectrumFilterResampleRemoveMzRange::filter(), pappso::PrecisionFactory::getDaltonInstance(), m_filter_highpass, m_filter_keep_greater, m_filter_remove_c13, m_filter_rescale, m_isExcludeParent, m_isExcludeParent_lower_dalton, m_isExcludeParent_neutral_loss, m_isExcludeParent_upper_dalton, m_isRemoveIsotope, m_n_most_intense, m_neutralLossMass, m_neutralLossWindowDalton, pappso::MassSpectrum::massSpectrumFilter(), and pappso::MHPLUS().

## setDynamicRange()

void pappso::XtandemSpectrumProcess::setDynamicRange | ( | pappso::pappso_double | dynamic_range | ) |

Definition at line 86 of file xtandemspectrumprocess.cpp.

{
m_filter_rescale = FilterRescaleY(dynamic_range);
}

References m_filter_rescale.

## setExcludeParent()

void pappso::XtandemSpectrumProcess::setExcludeParent | ( | bool | exclude_parent | ) |

Definition at line 98 of file xtandemspectrumprocess.cpp.

{
m_isExcludeParent = exclude_parent;
}

References m_isExcludeParent.

## setExcludeParentNeutralLoss()

void pappso::XtandemSpectrumProcess::setExcludeParentNeutralLoss | ( | bool | neutral_loss | ) |

Definition at line 103 of file xtandemspectrumprocess.cpp.

{
m_isExcludeParent_neutral_loss = neutral_loss;
}

References m_isExcludeParent_neutral_loss.

## setIonScore()

void pappso::XtandemSpectrumProcess::setIonScore | ( | Enums::PeptideIon | ion_type,
|  | bool | compute_score )

Definition at line 127 of file xtandemspectrumprocess.cpp.

{
switch(ion_type)
{
case Enums::PeptideIon::y:
_y_ions = compute_score;
break;
case Enums::PeptideIon::b:
_b_ions = compute_score;
break;
case Enums::PeptideIon::ystar:
_ystar_ions = compute_score;
break;
case Enums::PeptideIon::bstar:
_bstar_ions = compute_score;
break;
case Enums::PeptideIon::yo:
_yo_ions = compute_score;
break;
case Enums::PeptideIon::bo:
_bo_ions = compute_score;
break;
case Enums::PeptideIon::z:
_z_ions = compute_score;
break;
case Enums::PeptideIon::a:
_a_ions = compute_score;
break;
case Enums::PeptideIon::astar:
_astar_ions = compute_score;
break;
case Enums::PeptideIon::ao:
_ao_ions = compute_score;
break;
case Enums::PeptideIon::c:
_c_ions = compute_score;
break;
case Enums::PeptideIon::x:
_x_ions = compute_score;
break;
case Enums::PeptideIon::bp:
case Enums::PeptideIon::yp:
break;
}
}
pappso::Enums::PeptideIon::bp
@ bp
Definition types.h:293
pappso::Enums::PeptideIon::yp
@ yp
Definition types.h:299

References _a_ions, _ao_ions, _astar_ions, _b_ions, _bo_ions, _bstar_ions, _c_ions, _x_ions, _y_ions, _yo_ions, _ystar_ions, _z_ions, pappso::Enums::a, pappso::Enums::ao, pappso::Enums::astar, pappso::Enums::b, pappso::Enums::bo, pappso::Enums::bp, pappso::Enums::bstar, pappso::Enums::c, pappso::Enums::x, pappso::Enums::y, pappso::Enums::yo, pappso::Enums::yp, pappso::Enums::ystar, and pappso::Enums::z.

## setMinimumMz()

void pappso::XtandemSpectrumProcess::setMinimumMz | ( | pappso_double | minimum_mz | ) |

Definition at line 76 of file xtandemspectrumprocess.cpp.

{
m_filter_keep_greater = FilterResampleKeepGreater(minimum_mz);
}

References m_filter_keep_greater.

## setNeutralLossMass()

void pappso::XtandemSpectrumProcess::setNeutralLossMass | ( | pappso::pappso_double | neutral_loss_mass | ) |

Definition at line 108 of file xtandemspectrumprocess.cpp.

{
m_neutralLossMass = neutral_loss_mass;
}

References m_neutralLossMass.

## setNeutralLossWindowDalton()

void pappso::XtandemSpectrumProcess::setNeutralLossWindowDalton | ( | pappso::pappso_double | neutral_loss_precision | ) |

Definition at line 113 of file xtandemspectrumprocess.cpp.

{
m_neutralLossWindowDalton = neutral_loss_precision;
}

References m_neutralLossWindowDalton.

## setNmostIntense()

void pappso::XtandemSpectrumProcess::setNmostIntense | ( | unsigned int | nmost_intense | ) |

Definition at line 81 of file xtandemspectrumprocess.cpp.

{
m_n_most_intense = FilterGreatestY(nmost_intense);
}

References m_n_most_intense.

## setRefineSpectrumModel()

void pappso::XtandemSpectrumProcess::setRefineSpectrumModel | ( | bool | refine | ) |

Definition at line 120 of file xtandemspectrumprocess.cpp.

{
m_isRefineSpectrumModel = refine;
}

References m_isRefineSpectrumModel.

## setRemoveIsotope()

void pappso::XtandemSpectrumProcess::setRemoveIsotope | ( | bool | remove_isotope | ) |

Definition at line 92 of file xtandemspectrumprocess.cpp.

{
m_isRemoveIsotope = remove_isotope;
}

References m_isRemoveIsotope.

## Member Data Documentation

## _a_ions

bool pappso::XtandemSpectrumProcess::_a_ions = false

private

Definition at line 100 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _ao_ions

bool pappso::XtandemSpectrumProcess::_ao_ions = false

private

Definition at line 103 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _astar_ions

bool pappso::XtandemSpectrumProcess::_astar_ions = false

private

Definition at line 102 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _b_ions

bool pappso::XtandemSpectrumProcess::_b_ions = true

private

Definition at line 96 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _bo_ions

bool pappso::XtandemSpectrumProcess::_bo_ions = false

private

Definition at line 104 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _bstar_ions

bool pappso::XtandemSpectrumProcess::_bstar_ions = false

private

Definition at line 97 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _c_ions

bool pappso::XtandemSpectrumProcess::_c_ions = false

private

Definition at line 98 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _x_ions

bool pappso::XtandemSpectrumProcess::_x_ions = false

private

Definition at line 101 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _y_ions

bool pappso::XtandemSpectrumProcess::_y_ions = true

private

Definition at line 94 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _yo_ions

bool pappso::XtandemSpectrumProcess::_yo_ions = false

private

Definition at line 105 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _ystar_ions

bool pappso::XtandemSpectrumProcess::_ystar_ions = false

private

Definition at line 95 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## _z_ions

bool pappso::XtandemSpectrumProcess::_z_ions = false

private

Definition at line 99 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getIonScore(), and setIonScore().

## m_filter_floor

FilterFloorY pappso::XtandemSpectrumProcess::m_filter_floor

private

Definition at line 84 of file xtandemspectrumprocess.h.

## m_filter_highpass

FilterHighPass pappso::XtandemSpectrumProcess::m_filter_highpass

private

Definition at line 85 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), XtandemSpectrumProcess(), and process().

## m_filter_keep_greater

FilterResampleKeepGreater pappso::XtandemSpectrumProcess::m_filter_keep_greater

private

Definition at line 80 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), XtandemSpectrumProcess(), getMinimumMz(), process(), and setMinimumMz().

## m_filter_remove_c13

FilterTandemDeisotope pappso::XtandemSpectrumProcess::m_filter_remove_c13 = FilterTandemDeisotope(1.5, 200)

private

Definition at line 83 of file xtandemspectrumprocess.h.

Referenced by process().

## m_filter_rescale

FilterRescaleY pappso::XtandemSpectrumProcess::m_filter_rescale

private

Definition at line 82 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), XtandemSpectrumProcess(), getDynamicRange(), process(), and setDynamicRange().

## m_isExcludeParent

bool pappso::XtandemSpectrumProcess::m_isExcludeParent = false

private

Definition at line 87 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getExcludeParent(), process(), and setExcludeParent().

## m_isExcludeParent_lower_dalton

pappso::pappso_double pappso::XtandemSpectrumProcess::m_isExcludeParent_lower_dalton = 2

private

Definition at line 88 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), and process().

## m_isExcludeParent_neutral_loss

bool pappso::XtandemSpectrumProcess::m_isExcludeParent_neutral_loss = false

private

Definition at line 90 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getExcludeParentNeutralLoss(), process(), and setExcludeParentNeutralLoss().

## m_isExcludeParent_upper_dalton

pappso::pappso_double pappso::XtandemSpectrumProcess::m_isExcludeParent_upper_dalton = 2

private

Definition at line 89 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), and process().

## m_isRefineSpectrumModel

bool pappso::XtandemSpectrumProcess::m_isRefineSpectrumModel = true

private

Definition at line 93 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getRefineSpectrumModel(), and setRefineSpectrumModel().

## m_isRemoveIsotope

bool pappso::XtandemSpectrumProcess::m_isRemoveIsotope = true

private

Definition at line 86 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getRemoveIsotope(), process(), and setRemoveIsotope().

## m_n_most_intense

FilterGreatestY pappso::XtandemSpectrumProcess::m_n_most_intense

private

Definition at line 81 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), XtandemSpectrumProcess(), getNmostIntense(), process(), and setNmostIntense().

## m_neutralLossMass

pappso::pappso_double pappso::XtandemSpectrumProcess::m_neutralLossMass = MASSH2O

private

Definition at line 91 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getNeutralLossMass(), process(), and setNeutralLossMass().

## m_neutralLossWindowDalton

pappso::pappso_double pappso::XtandemSpectrumProcess::m_neutralLossWindowDalton = 0.5

private

Definition at line 92 of file xtandemspectrumprocess.h.

Referenced by XtandemSpectrumProcess(), getNeutralLossWindowDalton(), process(), and setNeutralLossWindowDalton().

The documentation for this class was generated from the following files:

- pappsomspp/core/psm/xtandem/xtandemspectrumprocess.h
- pappsomspp/core/psm/xtandem/xtandemspectrumprocess.cpp